Name:       ibus-table-tv
Version:    1.2.0.20100305
Release:    %mkrel 1
Summary:    The Thai and Viqr (Vietnamese) tables for IBus-Table
License:    GPLv3
Group:      System/Libraries
URL:        http://github.com/kaio/ibus-table-tv/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.xz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2.0.20090912-3
BuildRequires:    ibus-table-devel >= 1.2.0.20090912-3

%description
The Thai and Viqr (Vietnamese) tables for IBus-Table.

%prep
%setup -q

%build
%configure \
  --prefix=%{_prefix} \
  --disable-static \
  --enable-thai \
  --enable-viqr 
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd /$RPM_BUILD_ROOT/%{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n thai.db
%{_bindir}/ibus-table-createdb -i -n viqr.db

# %find_lang %{name}

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/icons/thai.png
%{_datadir}/ibus-table/icons/viqr.png
%{_datadir}/ibus-table/tables/thai.db
%{_datadir}/ibus-table/tables/viqr.db

%changelog
* Sun Nov 10 2013 pinoc <vogtpet at gmail.com> 1.2.0.20100305-1pclos2013
- imported package